
/*[Parámetros]*/
//Diámetro del tubo de la silla de ruedas a donde se va a fijar el soporte
Diametro = 25;      

//Anchura del soporte
Ancho = 20;         

//Grosor de las paredes del soporte
Grosor = 8;         

//Diámetro del tornillo que se va a utilizar
Tornillo = 5;       

//Diámetro de la cabeza del tornillo
Cabeza = 8;         

//Diámetro de la tuerca hexagonal que se va a utilizar (en su parte más ancha)
Tuerca = 9;         

//Diámetro del asa del carro o maleta a transportar
Dia_Carro = 30;     

/*[Mostrar]*/
//Elementos que desea mostrar
Mostrar = "Ambas"; //[Silla:Pieza que se fija a la silla, Maleta:Pieza a la que se sujeta la maleta, Ambas:Ambas piezas]



//////////////////////////////Parámetros fijos (NO tocar)//////////////////////////////

Tubo = Diametro/2;
Carro = Dia_Carro/2;



///////////////////////////////////Módulos///////////////////////////////////


module Mordaza() {
difference() {
hull() {
    cylinder(Ancho,Tubo+Grosor,Tubo+Grosor,$fn=100,center=true);
        translate([Diametro-Grosor/2,0,0])
        rotate([0,90,90])
            cylinder(Diametro+Grosor*2,Ancho/2,Ancho/2,$fn=100,center=true);
    translate([-Tubo,0,0])
        cube([Diametro,Diametro+Grosor*2,Ancho],center=true);
        }
        
        cylinder(Ancho+1,Tubo,Tubo,$fn=100,center=true);

    translate([Diametro-Grosor/2,0,0])
    rotate([0,90,90])
        cylinder(Diametro+Grosor*4+1,Tornillo/2+0.2,Tornillo/2+0.2,$fn=100,center=true);

    rotate([90,90,0])
    translate([0,Diametro-Grosor/2,+Tubo+Grosor])
        cylinder(10,Cabeza/2,Cabeza/2,$fn=100,center=true);

    translate([Diametro,0,0])
        cube([Diametro+Grosor*2,Grosor*2,Ancho+1],center=true);

    rotate([90,0,0])
    translate([Diametro-Grosor/2,0,-Tubo-Grosor]) rotate([0,0,90])
        cylinder(10,Tuerca/2,Tuerca/2,$fn=6,center=true);
    }
                 }



module Rotula_Interior() {
    translate([-Diametro-Ancho/2-5,0,0])
    sphere(Ancho/2,$fn=200);
    
    translate([-Diametro-Ancho/2+2,-Tubo-Grosor+(Tubo+Grosor)/2-Ancho/5,0])
        cube([Ancho-4,Tubo+Grosor-Ancho/2.5,Ancho],center=true);
    
    translate([-Diametro-Ancho+2,-Tubo-Grosor+(Tubo+Grosor)/2-Ancho/5,0])
        cube([4,Tubo+Grosor-Ancho/2.5,Ancho-8],center=true);
    
    translate([-Diametro-Ancho+4,-Tubo-Grosor+(Tubo+Grosor)/2-Ancho/5,Ancho/2-4]) rotate([90,0,0])
    cylinder(Tubo+Grosor-Ancho/2.5,4,4,$fn=100,center=true);
    
    translate([-Diametro-Ancho+4,-Tubo-Grosor+(Tubo+Grosor)/2-Ancho/5,-Ancho/2+4]) rotate([90,0,0])
    cylinder(Tubo+Grosor-Ancho/2.5,4,4,$fn=100,center=true);
}




module Carrito() {
    rotate_extrude(angle=350,$fn=200)
    translate([Carro,0])
    square([Grosor,Ancho+8]);

    }







module Rotula_Exterior() {
difference() {
hull() {
sphere(Ancho/2+4,$fn=200);

translate([-Carro-Grosor-Ancho/2-4-10,0,-(Ancho+8)/2]) rotate([0,0,-18])
rotate_extrude(angle=43,$fn=200)
    translate([Carro,0])
    square([Grosor,Ancho+8]);
}


sphere(Ancho/2+0.2,$fn=200);

translate([0,-Tubo-Grosor+(Tubo+Grosor)/2-Ancho/5-4.5,0])
        cube([Ancho*2.5,Tubo+Grosor-Ancho/2.5+10,Ancho*2],center=true);
}
}

if (Mostrar=="Silla") {
Mordaza();
Rotula_Interior();
}

if (Mostrar=="Maleta") {
translate([-Diametro-Ancho/2-5,0,0]) Rotula_Exterior();
translate([-Diametro-Ancho/2-5-Carro-Grosor-Ancho/2-4-10,0,-(Ancho+8)/2]) rotate([0,0,35]) Carrito();
}

if (Mostrar=="Ambas") {
Mordaza();
Rotula_Interior();
translate([-Diametro-Ancho/2-5,0,0]) Rotula_Exterior();
translate([-Diametro-Ancho/2-5-Carro-Grosor-Ancho/2-4-10,0,-(Ancho+8)/2]) rotate([0,0,35]) Carrito();
}
